﻿using SQLite;

namespace Billing.Models
{
    public class Account : IIdItem
    {
        private const string ICON_DEFAULT = "ic_default";

        private static Account empty;
        public static Account Empty => empty ??= new() { Id = -1 };

        [PrimaryKey, AutoIncrement]
        public int Id { get; set; }
        public string Icon { get; set; } = ICON_DEFAULT;
        public AccountCategory Category { get; set; }
        public string Name { get; set; }
        public decimal Initial { get; set; }
        public decimal Balance { get; set; }
        public string Memo { get; set; }
    }

    public enum AccountCategory
    {
        Cash = 0,
        CreditCard,
        DebitCard,
        ElecAccount
    }
}